package com.dcsoft.system.vehicle.domain;

import com.dcsoft.common.core.annotation.Excel;
import com.dcsoft.common.core.web.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

import java.util.List;

/**
 * 车场设备信息对象 car_park_item
 *
 * @author nichun
 * @date 2023-12-28
 */
public class CarParkItem extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** id */
    private Long id;

    /** 设备id */
    @Excel(name = "设备id")
    private Long equipmentId;

    /** 车场id */
    @Excel(name = "车场id")
    private Long parkId;

    /** 车场ids */
    private List<Long> parkIds;

    /** 通道方向 */
    @Excel(name = "通道方向")
    private String way;

    private String area;

    public List<Long> getParkIds() {
        return parkIds;
    }

    public void setParkIds(List<Long> parkIds) {
        this.parkIds = parkIds;
    }

    public void setId(Long id)
    {
        this.id = id;
    }

    public Long getId()
    {
        return id;
    }
    public void setEquipmentId(Long equipmentId)
    {
        this.equipmentId = equipmentId;
    }

    public Long getEquipmentId()
    {
        return equipmentId;
    }
    public void setParkId(Long parkId)
    {
        this.parkId = parkId;
    }

    public Long getParkId()
    {
        return parkId;
    }
    public void setWay(String way)
    {
        this.way = way;
    }

    public String getWay()
    {
        return way;
    }

    public String getArea() {
        return area;
    }

    public void setArea(String area) {
        this.area = area;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("equipmentId", getEquipmentId())
            .append("parkId", getParkId())
            .append("way", getWay())
            .toString();
    }
}
